Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.admin
Interface PluginFilter.SimpleFilter

Enclosing class:
  PluginFilter

    public static interface PluginFilter.SimpleFilter

A simplified version of a servlet filter. Instead of having full control over the filter chain, a simple filter can only control whether further filters in the chain are run.

Method Summary
`boolean` | `doFilter(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response)` The doFilter method of the Filter is called by the PluginFilter each time a request/response pair is passed through the chain due to a client request for a resource at the end of the chain.

Method Detail

### doFilter

    boolean doFilter(javax.servlet.ServletRequest request,
                     javax.servlet.ServletResponse response)
                     throws IOException,
                            javax.servlet.ServletException

  The doFilter method of the Filter is called by the PluginFilter each time a request/response pair is passed through the chain due to a client request for a resource at the end of the chain. This method should return `true` if the additional filters in the chain should be processed or `false` if no additional filters should be run.

  Note that the filter will apply to all requests for JSP pages in the admin console and not just requests in the respective plugins. To only apply filtering to individual plugins, examine the context path of the request and only filter relevant requests.

  Parameters:
    `request` - the servlet request.
    `response` - the servlet response
  Returns:
    true if further filters in the chain should be run.
  Throws:
    `IOException` - if an IOException occurs.
    `javax.servlet.ServletException` - if a servlet exception occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.